<?php
class jn_easypixels
{
	private $dontTrackAdminUsers='';
	private $version='1.9.02';

	public function __construct()
	{
		$settings=get_option('jn_easypixels');
		if($settings!=false)
		{
			$this->dontTrackAdminUsers=$settings["dontTrackAdminUsers"];
		}
	}


	public function trackAdminUsers(){return (!$this->dontTrackAdminUsers);}

	private function checkboxSetting($property){return ($this->$property)?' checked="checked"':'';}

	public function putAdminOptions()
	{
		echo '<table style="width:100%;margin: 2% 0;border:1px solid #aaa;background:#fefefe;"><tr><td style="padding:1em;font-size:12px"><input type="hidden" value="" name="epform"><input type="checkbox" id="jn_EP_enableSpecialTracking" name="jn_EP_enableSpecialTracking"'.$this->checkboxSetting('dontTrackAdminUsers').'>'.__("Don't track admin and editor users",'easy-pixels-by-jevnet').'</td></tr></table>';
	}

	static public function save($WP_settings_group='jnEasyPixelsSettings-group')
	{
		if(isset($_POST["epform"]))
		{
			$settings=get_option('jn_easypixels');
			if($settings==false){$settings=[];}
			$settings["dontTrackAdminUsers"]=(isset($_POST["jn_EP_enableSpecialTracking"]));
			update_option('jn_easypixels', $settings);
		}
	}


}